Bug 1001508 - [abrt] IMAP interruptions side-effects / imap_threaded_noop: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] IMAP interruptions side-effects / imap_threaded_noop: Process /usr/bin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.thewildbeast.co.uk/claws-m...
abrt_hash:effb67bbe6949dd1b8843d344a6...
: Reopened
: 1032257 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 04:04 EDT by Peter M. Groen
Modified: 2015-02-03 03:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 15:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.65 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: cgroup (129 bytes, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: core_backtrace (7.38 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: dso_list (14.55 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: environ (2.85 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: maps (98.12 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: open_fds (1.26 KB, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details
File: var_log_messages (321 bytes, text/plain)
2013-08-27 04:04 EDT, Peter M. Groen
no flags Details

  None (edit)
Description Peter M. Groen 2013-08-27 04:04:15 EDT
Description of problem:
Claws-mail was running in the background. 

Version-Release number of selected component:
claws-mail-3.9.2-3.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        claws-mail
crash_function: imap_threaded_noop
executable:     /usr/bin/claws-mail
kernel:         3.10.9-100.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 imap_threaded_noop at imap-thread.c:1113
 #1 imap_cmd_noop at imap.c:4009
 #2 imap_ping at imap.c:559
 #9 gtk_main at gtkmain.c:1257
Comment 1 Peter M. Groen 2013-08-27 04:04:21 EDT
Created attachment 790822 [details]
File: backtrace
Comment 2 Peter M. Groen 2013-08-27 04:04:25 EDT
Created attachment 790823 [details]
File: cgroup
Comment 3 Peter M. Groen 2013-08-27 04:04:28 EDT
Created attachment 790824 [details]
File: core_backtrace
Comment 4 Peter M. Groen 2013-08-27 04:04:33 EDT
Created attachment 790825 [details]
File: dso_list
Comment 5 Peter M. Groen 2013-08-27 04:04:37 EDT
Created attachment 790826 [details]
File: environ
Comment 6 Peter M. Groen 2013-08-27 04:04:41 EDT
Created attachment 790827 [details]
File: exploitable
Comment 7 Peter M. Groen 2013-08-27 04:04:44 EDT
Created attachment 790828 [details]
File: limits
Comment 8 Peter M. Groen 2013-08-27 04:04:48 EDT
Created attachment 790829 [details]
File: maps
Comment 9 Peter M. Groen 2013-08-27 04:04:52 EDT
Created attachment 790830 [details]
File: open_fds
Comment 10 Peter M. Groen 2013-08-27 04:04:55 EDT
Created attachment 790831 [details]
File: proc_pid_status
Comment 11 Peter M. Groen 2013-08-27 04:04:59 EDT
Created attachment 790832 [details]
File: var_log_messages
Comment 12 Michael Schwendt 2013-11-19 16:52:28 EST
*** Bug 1032257 has been marked as a duplicate of this bug. ***
Comment 13 Savinov Artem 2013-12-23 12:45:38 EST
Another user experienced a similar problem:

claws-mail has been minimized to the system tray and closed itself.
set 2 on Imap mailboxes and 1 on pop3.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        claws-mail
crash_function: imap_threaded_noop
executable:     /usr/bin/claws-mail
kernel:         3.12.5-302.fc20.x86_64
package:        claws-mail-3.9.2-7.fc20
reason:         claws-mail killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Leszek Matok 2014-02-10 12:46:54 EST
Another user experienced a similar problem:

One IMAP server timed out, Claws-Mail displays a pop-up and hangs in such situation. So after some time I came home and closed that window, then tried to open new message in another mailbox (on another server), which made whole client crash.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        claws-mail
crash_function: imap_threaded_noop
executable:     /usr/bin/claws-mail
kernel:         3.12.9-301.fc20.x86_64
package:        claws-mail-3.9.3-1.fc20
reason:         claws-mail killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Michael Schwendt 2014-02-10 16:03:24 EST
Just a note the bug reporters here, I've given up trying to handle bug reports about Claws Mail at Fedora. Upstream only wants to learn about reproducible bugs. They are aware of old bugs causing crashes as a side-effect, and in my opinion IMAP access instabilities cause side-effects in Claws Mail.

http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi
http://www.claws-mail.org/
Comment 16 Pavel Mlčoch 2014-02-11 15:24:41 EST
Another user experienced a similar problem:

Claws crash in background without any user assistance.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        claws-mail
crash_function: imap_threaded_noop
executable:     /usr/bin/claws-mail
kernel:         3.12.9-301.fc20.x86_64
package:        claws-mail-3.9.3-1.fc20
reason:         claws-mail killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Michael Schwendt 2014-05-01 10:55:44 EDT
> Claws crash in background without any user assistance.

If that's really the only details about this, then it likely fixed upstream by the recent imap_destroy_all related commits.

This will need retesting once a new version of Claws Mail (or a Test Update) will be available.
Comment 18 Michael Schwendt 2014-05-27 02:49:47 EDT
A new release of Claws Mail (and its dependency libetpan) is available for testing with Fedora 20 and Fedora 19:

  https://admin.fedoraproject.org/updates/search/claws

Please allow for the time it takes for the packages to show up in the "updates-testing" repository and then to be picked up by the world-wide download mirror servers.
Comment 19 Raphael Groner 2014-09-08 16:56:49 EDT
This bug happened again, as Abrt pointed me to this report.
Possible duplication: bug #1032257

claws-mail-3.10.1-1.fc20.x86_64
Comment 20 Michael Schwendt 2014-09-11 15:19:56 EDT
> Abrt pointed me to this report.
> Possible duplication: bug #1032257

That's not helpful, especially as it's not clear how good the dupe detection is.

A full backtrace will be needed before anything could be guessed. There is nothing like "this bug", because it has not been a single specific bug. As the ticket title suggests there have been side-effects (= crashes in various parts of the code) as a result of Claws Mail working on already destroyed/freed memory structures. There have been dozens of different tickets in bugzilla about it. It has taken a lot of time to track down a possible cause and get upstream to look into it, too. As of Claws Mail 3.10.1 several such issues have been fixed, but some [possibly different ones] remain, which might take down Claws Mail in similar ways. There is ongoing work on tracking down non-thread-safe parts, for instance.

With the changes in Claws Mail 3.10.1 we need to restart evaluating it, since we cannot keep all old tickets open which may only be the result of side-effects.

If you could generate a full backtrace in ABRT and attach it in a new ticket, that could lead to something.

Note You need to log in before you can comment on or make changes to this bug.